import i, { withInfo as l, withSuccess as f, withError as s, withConfirm as c, modalGlobalConfig as a, withWarn as u } from "./confirm.mjs";
import t from "./destroyFns.mjs";
import m from "./Modal.mjs";
import d from "./PurePanel.mjs";
import p from "./useModal/index.mjs";
function e(r) {
  return i(u(r));
}
const o = m;
o.useModal = p;
o.info = function(n) {
  return i(l(n));
};
o.success = function(n) {
  return i(f(n));
};
o.error = function(n) {
  return i(s(n));
};
o.warning = e;
o.warn = e;
o.confirm = function(n) {
  return i(c(n));
};
o.destroyAll = function() {
  for (; t.length; ) {
    const n = t.pop();
    n && n();
  }
};
o.config = a;
o._InternalPanelDoNotUseOrYouWillBeFired = d;
process.env.NODE_ENV !== "production" && (o.displayName = "Modal");
const y = o;
export {
  y as default
};
